

<!-- BEGIN: Content-->
<div class="app-content content ">
    <div class="content-overlay"></div>
    <div class="header-navbar-shadow"></div>
    <div class="content-wrapper container-xxl p-0">
        <div class="content-header row">
        </div>
        <div class="content-body">
            <section id="seach-filter">
                <div class="row">
                    <div class="col-12">
                        <div class="card">
                            <div class="card-header">
                                <h4 class="card-title">Liste à faire</h4>
                            </div>
                            <div class="card-body">
                                <app-todo-filter-atelier (filterClicked)="filterResults($event)" ></app-todo-filter-atelier>
                            </div>
                        </div>
                    </div>
                </div>
            </section>

            <section id="list">
                <div class="row">
                    <div class="col-xl-12 col-lg-12">
                        <div class="card">
                            <div class="card-header">
                                <h4 class="card-title">Liste</h4>
                               
                                <button class="btn btn-primary" (click)="openModal()">
                                    <i class="fa-solid fa-plus"></i>
                                    Ajouter
                                </button>
                            </div>

                            <div class="table-responsive">
                                <app-gen-datatable
                                    [headers]="headers"
                                    [fetchData]="fetchData"
                                    [actionOptions]="actionOptions"
                                >
                                </app-gen-datatable>
                              
                                <ng-template #actionColumn let-row="row">
                                    <button type="button" class="btn btn-sm dropdown-toggle hide-arrow py-0" data-bs-toggle="dropdown">
                                        <i class="fa-solid fa-ellipsis-vertical"></i>
                                    </button>
                                    <div class="dropdown-menu dropdown-menu-end">
                                        <a *ngFor="let action of getActionOptions(row)" (click)="action.actionFunction(row)" class="dropdown-item">
                                            <span>{{action.label}}</span>
                                        </a>
                                        
                                    </div>
                                </ng-template>
                            </div>
                        </div>
                    </div>
                </div>
                <app-todo-creation-form [(isVisible)]="isCreationModalVisible" [projectId]="projectId"></app-todo-creation-form>
                <app-todo-update-form  *ngIf="currentUpdateTodoId" [(isVisible)]="isUpdateModalVisible" [todoId]="currentUpdateTodoId"></app-todo-update-form>
            </section>
        </div>
    </div>
</div>
<!-- END: Content-->

<!-- Car creation modal -->


<!-- Car update modal-->


